Package com.xebialabs.deployit.plugin.api.udm

# Class BaseDeployedContainer<D extends Deployable,C extends Container>

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed<D,C>
com.xebialabs.deployit.plugin.api.udm.BaseDeployedContainer<D,C>

All Implemented Interfaces:
  `ConfigurationItem`, `Container`, `Deployed<D,C>`, `EmbeddedDeployedContainer<D,C>`, `Taggable`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `BaseProvisionedContainer`

@Metadata(virtual=true, description="Base type for all deployeds that are containers.") public class BaseDeployedContainer<D extends Deployable,C extends Container> extends BaseDeployed<D,C> implements Container

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

  `CONTAINER_FIELD, DEPLOYABLE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

  `TAGS_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseDeployedContainer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getTags()`
  `void`
  `setTags(Set<String> tags)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed

  `getBoundConfigurationItems, getContainer, getDeployable, setBoundConfigurationItems, setContainer, setDeployable`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Constructor Details

  - ### BaseDeployedContainer

    public BaseDeployedContainer()

- ## Method Details

  - ### getTags

    public Set<String> getTags()
    Specified by:
      `getTags` in interface `Taggable`

  - ### setTags

    public void setTags(Set<String> tags)
    Specified by:
      `setTags` in interface `Taggable`